[package]
name = "key-server"
version.workspace = true
authors.workspace = true
edition.workspace = true
license.workspace = true

[[bin]]
name = "key-server"
path = "src/server.rs"

[dependencies]
fastcrypto.workspace = true
rand.workspace = true
serde.workspace = true
serde_json.workspace = true
hex.workspace = true
bcs.workspace = true
tracing.workspace = true
sui_types.workspace = true
mysten-service.workspace = true
sui_sdk.workspace = true
shared_crypto.workspace = true


tokio = { version = "1.44.2", features = ["full"] }
axum = { version = "0.7", features = ["macros"] }
tower = "0.4.13"
reqwest = { version = "0.11", features = ["json"] }
tower-http = { version = "0.6.0", features = ["cors"] }
crypto = { path = "../crypto" }
tap = "1.0.1"
prometheus = "0.13.3"
anyhow = "1.0.79"
lru = "0.13.0"
parking_lot = "0.12.3"
once_cell = "1.20.2"
chrono = "0.4.39"

[dev-dependencies]
tracing-test = "0.2.5"
test_cluster = { git = "https://github.com/mystenlabs/sui", rev = "1f5fef23d09fb697fff9e83907c5871c08fb6c87", package = "test-cluster" }
sui_move_build = { git = "https://github.com/mystenlabs/sui", rev = "1f5fef23d09fb697fff9e83907c5871c08fb6c87", package = "sui-move-build" }
